diff --git a/input/ffms.c b/input/ffms.c
index 5b2af27..fcb29b2 100644
--- a/input/ffms.c
+++ b/input/ffms.c
@@ -45,17 +45,17 @@ typedef struct
     int reduce_pts;
     int vfr_input;
     int num_frames;
-    int64_t time;
+    int64_t encode_time;
 } ffms_hnd_t;
 
 static int FFMS_CC update_progress( int64_t current, int64_t total, void *private )
 {
-    int64_t *time = private;
-    int64_t oldtime = *time;
+    int64_t *encode_time = private;
+    int64_t oldtime = *encode_time;
     int64_t newtime = x264_mdate();
     if( oldtime && newtime - oldtime < UPDATE_INTERVAL )
         return 0;
-    *time = newtime;
+    *encode_time = newtime;
 
     char buf[200];
     sprintf( buf, "ffms [info]: indexing input file [%.1f%%]", 100.0 * current / total );
@@ -85,7 +85,7 @@ static int open_file( char *psz_filename, hnd_t *p_handle, video_info_t *info, c
     }
     if( !idx )
     {
-        idx = FFMS_MakeIndex( psz_filename, 0, 0, NULL, NULL, 0, update_progress, &h->time, &e );
+        idx = FFMS_MakeIndex( psz_filename, 0, 0, NULL, NULL, 0, update_progress, &h->encode_time, &e );
         fprintf( stderr, "                                            \r" );
         FAIL_IF_ERROR( !idx, "could not create index\n" )
         if( opt->index_file && FFMS_WriteIndex( opt->index_file, idx, &e ) )
